Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.soap
Class Soap11

    java.lang.Object
      org.codehaus.xfire.soap.Soap11

All Implemented Interfaces:
  SoapVersion

    public class Soap11

extends java.lang.Object
implements SoapVersion

Represents the SOAP 1.1 version

Version:
  $Revision: 1.6 $

Constructor Summary
`Soap11()`

Method Summary
`javax.xml.namespace.QName` | `getBody()`
`javax.xml.namespace.QName` | `getEnvelope()`
`javax.xml.namespace.QName` | `getFault()`
`javax.xml.namespace.QName` | `getHeader()`
`static Soap11` | `getInstance()`
`java.lang.String` | `getNamespace()`
`java.lang.String` | `getNextRole()`
`java.lang.String` | `getNoneRole()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSoapEncodingStyle()`
`java.lang.String` | `getUltimateReceiverRole()`
`double` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Soap11

    public Soap11()

Method Detail

### getInstance

    public static Soap11 getInstance()

### getVersion

    public double getVersion()

  Specified by:
    `getVersion` in interface `SoapVersion`

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `SoapVersion`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `SoapVersion`

### getEnvelope

    public javax.xml.namespace.QName getEnvelope()

  Specified by:
    `getEnvelope` in interface `SoapVersion`

### getHeader

    public javax.xml.namespace.QName getHeader()

  Specified by:
    `getHeader` in interface `SoapVersion`

### getBody

    public javax.xml.namespace.QName getBody()

  Specified by:
    `getBody` in interface `SoapVersion`

### getFault

    public javax.xml.namespace.QName getFault()

  Specified by:
    `getFault` in interface `SoapVersion`

### getSoapEncodingStyle

    public java.lang.String getSoapEncodingStyle()

  Specified by:
    `getSoapEncodingStyle` in interface `SoapVersion`

### getNoneRole

    public java.lang.String getNoneRole()

  Specified by:
    `getNoneRole` in interface `SoapVersion`

### getUltimateReceiverRole

    public java.lang.String getUltimateReceiverRole()

  Specified by:
    `getUltimateReceiverRole` in interface `SoapVersion`

### getNextRole

    public java.lang.String getNextRole()

  Specified by:
    `getNextRole` in interface `SoapVersion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.